#include "common.h"
#include "adc.h"



void adc_Config(u16  ch0PositiveMask, u8  autoSampleTime) {
  	CONFIG_AN0_AS_ANALOG();
  	if ( autoSampleTime > 31)  autoSampleTime=31;
  	AD1CON1bits.ADON = 0;   // turn off ADC (changing setting while ADON is not allowed)
  	AD1CON1 = ADC_CLK_AUTO + ADC_AUTO_SAMPLING_OFF;
  	AD1CON3 = ADC_CONV_CLK_INTERNAL_RC + ( autoSampleTime<<8);
  	AD1CON2 = ADC_VREF_AVDD_AVSS;
  	AD1CHS  = ADC_CH0_NEG_SAMPLEA_VREFN +  ch0PositiveMask;
	}


u16 adc_Convert(void) {
    u16 sample;
  	AD1CON1bits.ADON = 1;   //turn on the ADC
  	SET_SAMP_BIT_ADC1();                    //start sampling
  	WAIT_UNTIL_CONVERSION_COMPLETE_ADC1();  //wait for conversion to finish
    sample = ADC1BUF0;
  	AD1CON1bits.ADON = 0;   //turn off the ADC
  	return(sample);
	}
