#ifndef AUDIO_H_
#define AUDIO_H_

#define BEEP_DISCR_THRESHOLD   30L

#define KLPF_ACCEL   		25

#define VARIO_MAX_CPS   	1000L
#define VARIO_XOVER_CPS		400L

#define VARIO_MAX_FREQHZ    4800L
#define VARIO_XOVER_FREQHZ  2000L
#define VARIO_MIN_FREQHZ    400L

#define VARIO_SINK_CPS   	-300L
#define VARIO_SINK_FREQHZ   1300L

// AUDIO_MODE_OFF   : no sound
// AUDIO_MODE_SPEED : audio beep/chirp base frequency and repeat rate are both proportional to vertical climbrate
// AUDIO_MODE_SPEED_ACCEL : audio beep/chirp base frequency is proportional to vertical climbrate, repeat rate 
//                   is proportional to vertical acceleration/deceleration
#define AUDIO_MODE_OFF			0
#define AUDIO_MODE_SPEED		1
#define AUDIO_MODE_SPEED_ACCEL	2

extern u8 gnAudioMode;

void audio_Config(void);
void audio_Beep(s32 nCps);
void audio_SetFreq(s32 nFreqHz);

#endif
