#include "common.h"

_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & COE_OFF & ICS_PGx1 & FWDTEN_OFF & WINDIS_OFF & FWPSA_PR32 & WDTPS_PS1)
_CONFIG2(IESO_OFF & FNOSC_FRCDIV & FCKSM_CSECMD & OSCIOFNC_ON & IOL1WAY_OFF  & POSCMOD_NONE)

#include "nvd.h"
#include "rtc.h"
#include "adc.h"
#include "i2c.h"
#include "flash.h"
#include "sensor.h"
#include "ui.h"
#include "tmr.h"
#include "lcd.h"
#include "audio.h"
#include "util.h"
#ifdef UART_DBG
#include "uart.h"
#endif

void mcu_Init(void);
void delay2mS(void);

char gszBuf[80];
int n;

int main(void)	{
    mcu_Init();
    lcd_Init();
	ui_OpenScreen();
   	nvd_Init();
    sns_Init();
    ui_InitFLogMode();

	while(1)  {
      switch (gnUIMode) {
         case UIMODE_FLOG :
         default :
         ui_FLogEventHandler();
         break;

         case UIMODE_SET :
         ui_SetEventHandler();
         break;

         case UIMODE_RUN :
         ui_RunEventHandler();
         break;
         }
	   }
    return 0;
	}


void mcu_Init(void)	{
    AD1PCFG = 0xFFFF;  // all analog capable pins are digital
	CLKDIVbits.RCDIV = 1; // divide by 2

	CONFIG_U1TX_TO_RP(0); 		// 4  TX
	CONFIG_U1RX_TO_RP(1); 		// 5  RX
	CONFIG_RB2_AS_DIG_OUTPUT(); // 6  gpioDbg
	CONFIG_OC1_TO_RP(3);  		// 7  Piezo 

  	CONFIG_RA2_AS_DIG_INPUT();  //9    L
  	ENABLE_RA2_PULLUP();           
  	CONFIG_RA3_AS_DIG_INPUT();  //10   R
  	ENABLE_RA3_PULLUP();           
  	CONFIG_RB4_AS_DIG_INPUT();  //11   U
  	ENABLE_RB4_PULLUP();           
  	CONFIG_RA4_AS_DIG_INPUT();  //12   D
  	ENABLE_RA4_PULLUP();         
  	CONFIG_RB5_AS_DIG_INPUT();  //14   C
  	ENABLE_RB5_PULLUP();           

	CONFIG_RB6_AS_DIG_INPUT();  // 15 EOC
    ENABLE_RB6_PULLUP();
	CONFIG_RB7_AS_DIG_OUTPUT(); // 16 XCLR
    //ENABLE_RB7_PULLUP();

    //gpioSnsXclr = 1;
    gpioDbg = 0;

	CONFIG_RB12_AS_DIG_OUTPUT(); // 23 RST_
	CONFIG_RB13_AS_DIG_OUTPUT(); // 24 D_C
	CONFIG_RB14_AS_DIG_OUTPUT(); // 25 DTA
	CONFIG_RB15_AS_DIG_OUTPUT(); // 26 CLK

	gpioLcdRst = 0;
//	OSCCONbits.IOLOCK = 1;
    i2c_Init();
    delay2mS();
    rtc_Init();
    tmr1_Config();
    tmr2_Config();
    tmr3_Config();
	adc_Config(ADC_CH0_POS_SAMPLEA_AN0, 31);
	audio_Config();
#ifdef UART_DBG
    uart_Init();
#endif
	}


void delay2mS(void) {
	u16 cnt = 0xFFFF;
	while (cnt--) {Nop();Nop();}
	}

/*
 * $Header$
 */

