#ifndef COMMON_H_
#define COMMON_H_

// use swept frequency chirp for audio tone. Comment this out if you prefer the constant frequency beep
#define AUDIO_CHIRP

// AUDIO_SPEED_AND_ACCEL : audio tone frequency is proportional to vertical speed, repeat interval 
//                         is proportional to vertical acceleration
// if this option is commented out, audio tone frequency and repeat interval are proportional to vertical speed

//#define AUDIO_SPEED_AND_ACCEL

//#define UART_DBG
//#define SENSOR_UNIT_TEST
//#define SENSOR_NOISE_EVAL

#include <string.h>
#include <stdio.h>
#include <stdarg.h>

#include "pic24_all.h"

#define FOSC_HZ 		       FCY

#define gpioDbg         _RB2        // pin 6

#define gpioBtnL		_RA2		// pin 9
#define gpioBtnR		_RA3		// pin 10
#define gpioBtnU		_RB4		// pin 11
#define gpioBtnD		_RA4		// pin 12
#define gpioBtnC		_RB5		// pin 14

#define gpioSnsEoc	    _RB6		// pin 15
#define gpioSnsXclr	    _RB7		// pin 16

#define gpioLcdRst	    _LATB12		// pin 23
#define gpioLcdDc	    _LATB13		// pin 24
#define gpioLcdDta		_LATB14		// pin 25
#define gpioLcdClk		_LATB15		// pin 26

#define ALT_CORR_MIN 		-200
#define ALT_CORR_MAX		200

#define CLIMBTONE_CPS_MIN   -30
#define CLIMBTONE_CPS_DEF   10
#define CLIMBTONE_CPS_MAX   30

#define SINKTONE_CPS_MIN   -100
#define SINKTONE_CPS_DEF   -300
#define SINKTONE_CPS_MAX   -400

#define FLIGHT_TRIG_MIN		1
#define FLIGHT_TRIG_DEF		5
#define FLIGHT_TRIG_MAX		15


#define I2C_ID_DS1338            ((u8)0xD0)
#define I2C_ID_BMP085            ((u8)0xEE)

#define UIMODE_FLOG   11
#define UIMODE_SET    22
#define UIMODE_RUN    33


#define MIN_ALTITUDE_M          -999L
#define MAX_ALTITUDE_M          9999L

#define MIN_TEMP_C    -9
#define MAX_TEMP_C    99

#define MIN_CLIMBRATE_CPS        -2500
#define MAX_CLIMBRATE_CPS         2500

#define FLOG_MAX_FLIGHTS 		50
#define FLOG_REC_BYTES			17

extern char gszBuf[80];

#endif 

