#ifndef FLASH_H_
#define FLASH_H_

#define FLASH_PAGE_SIZE		1536
#define PM_ROW_SIZE 		512
#define CM_ROW_SIZE 		12
#define CONFIG_WORD_SIZE 	1

extern u8 gFlashBuf[FLASH_PAGE_SIZE];

typedef union tuReg32 {
  	u32 Val32;
  	struct {
    	u16 LW;
    	u16 HW;
  	} Word;
  	char Val[4];
	} uReg32;

#define PM_ROW_ERASE   		0x4042
#define PM_ROW_WRITE   		0x4001
#define CONFIG_WORD_WRITE 	0X4000

u32 ReadLatch(u16 addrhi, u16 addrlo);
void WriteBuffer(char *, int);
void ReadPM(u8 *, uReg32);
void WritePM(u8 *, uReg32);
void WriteMem(u16 val);
void LoadAddr(u16 nvmadru, u16 nvmadr);
void WriteLatch(u16 addrhi,u16 addrlo, u16 wordhi, u16 wordlo);
void Erase(u16 addrhi, u16 addrlo, u16 val );

void flash_Init(void);
void flash_WritePage(void);
void flash_ErasePage(void);
void flash_ReadPage(void);


#endif
