#include "common.h"
#include "rtc.h"
#include "i2c.h"
#include "tmr.h"
#include "lcd.h"

u8  gnDom;
u8  gnYar;
u8  gnMon;

u8  gbHrsMode;
u8  gbAmPm;

void rtc_Init(void) {
//   u8 b;
   //b = i2c_RcvByte(I2C_ID_DS1338,0x0);
   //b &= 0x7F;
   // check CH bit is cleared to ensure oscillator is enabled
   //if (b & 0x80) {
   //   i2c_XmtByte(I2C_ID_DS1338,0x0,b);
   //   }
   // disable square wave output
   //i2c_XmtByte(I2C_ID_DS1338,0x7,0);
   // enable 32.768kHz square wave output
   //i2c_XmtByte(I2C_ID_DS1338,0x7,0x10);
   //b = i2c_RcvByte(I2C_ID_DS1338,0x7);
   //if (b & 0x20) {
   // lcd_Printf(0,0,"RTC STOP");
    //while(1); 
   //		i2c_XmtByte(I2C_ID_DS1338,0x7,0x0);
//	}
   rtc_ReadData();
   }


void rtc_ReadData(void)  {
   u8 buf[7];
   i2c_RcvBuf(I2C_ID_DS1338,0x0,7,buf);
   gnRealSec = (int) (buf[0]&0xF) + 10*((buf[0]>>4)&7);
   gnRealMin = (int) (buf[1]&0xF) + 10*((buf[1]>>4)&7);
   if (buf[2]&0x40)  {
      gbHrsMode = RTC_HRS_12;
      gnRealHrs = (int) (buf[2]&0xF) + 10*((buf[2]>>4)&1);
      CLAMP(gnRealHrs,0,12);
      gbAmPm = (buf[2]>>5)&1;
      }
   else   {
      gbHrsMode = RTC_HRS_24;
      gnRealHrs = (int) (buf[2]&0xF) + 10*((buf[2]>>4)&3);
      CLAMP(gnRealHrs,0,23);
      gbAmPm = gnRealHrs > 12 ? RTC_PM : RTC_AM;
      }
   gnDom = (buf[4]&0xF) + 10*((buf[4]>>4)&3);
   CLAMP(gnDom,1,31);
   gnMon = (buf[5]&0xF) + 10*((buf[5]>>4)&1);
   CLAMP(gnMon,1,12);
   gnYar = (buf[6]&0xF) + 10*(buf[6]>>4);
   CLAMP(gnYar,0,99);
   }

void rtc_WriteSec(void)   {
    u8 b;
    b = (u8)((gnRealSec%10) + ((gnRealSec/10)<<4));
    i2c_XmtByte(I2C_ID_DS1338,RTC_ADDR_SEC,b);
    }

void rtc_WriteMin(void)  {
    u8 b;
    b = (u8)((gnRealMin%10) + ((gnRealMin/10)<<4));
    i2c_XmtByte(I2C_ID_DS1338,RTC_ADDR_MIN,b);
    }

void rtc_WriteHrs(void)  {
    u8 b;
    b = (u8)((gnRealHrs%10) + ((gnRealHrs/10)<<4)); // hrsMode = 0 (24hr)
    i2c_XmtByte(I2C_ID_DS1338,RTC_ADDR_HRS,b);
    }


void rtc_WriteDom(void)  {
    u8 b;
    b = (u8)((gnDom%10) + ((gnDom/10)<<4));
    i2c_XmtByte(I2C_ID_DS1338,RTC_ADDR_DOM,b);
    }

void rtc_WriteMon(void)  {
    u8 b;
    b = (u8)((gnMon%10) + ((gnMon/10)<<4));
    i2c_XmtByte(I2C_ID_DS1338,RTC_ADDR_MON,b);
    }

void rtc_WriteYar(void)   {
    u8 b;
    b = (u8)((gnYar%10) + ((gnYar/10)<<4));
    i2c_XmtByte(I2C_ID_DS1338,RTC_ADDR_YAR,b);
    }
