#ifndef SENSOR_H_
#define SENSOR_H_



// maximum oversampling
#ifdef SENSOR_UNIT_TEST
#define SENSOR_OSS					0
#else
#define SENSOR_OSS					3
#endif

// pressure sensor sampling states
#define SENSOR_READ_TEMPERATURE 		11
#define SENSOR_READ_PRESSURE			22

// 14.7 samples per second
// ~ 3 second averaging window

#define SENSOR_SAMPLES_PER_SECX10     147
#define SNS_NUM_Z_SAMPLES             45


extern s32 gnAltAvgM; 
extern s32 gnAltCm;
extern s32 gnAltAvgCm;
extern s32 gnCps;
extern s16 gnTempC;


void sns_TriggerPressureSample(void);
void sns_TriggerTemperatureSample(void);
u32  sns_ReadPressureSample(void);
u32  sns_ReadTemperatureSample(void);
s16  sns_CalcTemperatureCx10(void);
s32  sns_CalcPressurePa(void);
void sns_DeltaCmPerSec(void);
s32  sns_Pa2Cm(s32 pa);
void sns_AverageAltitude(void);
void sns_Init(void);
void sns_InitData(void);
void sns_InitWindowBuffers(void);
void sns_ReadCoeffs(void);
void sns_AcquireAveragedSample(int nSamples);
#ifdef SENSOR_UNIT_TEST
void sns_UnitTest(void);
#endif

#ifdef SENSOR_NOISE_EVAL
void sns_DumpAltitude(int nSamples, int pzInx);
#endif

void sns_SampleContinuous(void);

#endif
