#include "common.h"
#include "uart.h"

void uart_Init(void)	{
    char tmp;
    U1BRG  = 25;     // 19200baud @ Fosc = 2MHz 
	U1MODEbits.BRGH = 1;
    U1MODEbits.UARTEN = 1;
    U1MODEbits.RTSMD = 1; // no flow control

    while(U1STAbits.URXDA == 1) {
        tmp = U1RXREG;
        }

    // clear IF flags 
    IFS0bits.U1RXIF = 0;
    IFS0bits.U1TXIF = 0;

    // set priority 
    IPC2bits.U1RXIP = 1;
    IPC3bits.U1TXIP = 1;

    // disable interrupt 
    IEC0bits.U1RXIE = 0;
    IEC0bits.U1TXIE = 0;
    // enable transmit
    U1STAbits.UTXEN = 1;
	}

void uart_Print(char *szBuf)
   	{
   	while(*szBuf) {
      	U1TXREG = *szBuf++;   // transfer data byte to TX reg 
      	while(!U1STAbits.TRMT);  // wait for xmit to complete
      	}	    
   	}

