#ifndef UI_H_
#define UI_H_

#define SEL_ALTITUDE  0
#define SEL_SINKTONE  1
#define SEL_CLIMBTONE 2
#define SEL_FLIGHT_TRIG 3
#define SEL_RTC_HRS   4
#define SEL_RTC_MIN   5
#define SEL_RTC_DOM   6
#define SEL_RTC_MON   7
#define SEL_RTC_YAR   8



extern u8 gnUIMode;

extern u8 gbAudioEn;

extern s16 gnMaxAltM;
extern s16 gnMaxCps;
extern s16 gnMinCps;
extern s16 gnMaxTempC;
extern s16 gnMinTempC;
extern s16 gnLaunchAltM;
extern s16 gnLZAltM;
extern u8  gnLaunchHrs;
extern u8  gnLaunchMin;



void ui_DisplaySettings(void);
void ui_SetEventHandler(void);
void ui_RunEventHandler(void);
void ui_FLogEventHandler(void);
void ui_InitRunMode(void);
void ui_InitSetMode(void);
void ui_InitSleepMode(void);
void ui_InitFLogMode(void);
void ui_DisplayFLog(void);
void ui_WriteFlightLog(void);
void ui_UpdateFlightData(void);
void ui_PrintClimbRate(u8 row, u8 col, s16 nCps);
void ui_PrintTemperature(u8 row, u8 col, s16 nTempC);
void ui_PrintRealTime(u8 row, u8 col, u8 nHrs, u8 nMin);
void ui_PrintFlightTime(u8 row, u8 col, u8 nHrs, u8 nMin);
void ui_PrintAltitudeAL(u8 row, u8 col, s16 nAlt, s16 nLaunchAlt);
void ui_PrintAltitude(u8 row, u8 col, s16 nAlt);
void ui_FlightScreenInit(void);
void ui_BtnClear(void);
void ui_OpenScreen(void);

#endif

